Skip to main content
POST
Assign a company to a BDR agent

Authorizations

Authorization
string
header
required

API key from Settings > Developer. Format: alva_sk_...

Path Parameters

id
string<uuid>
required

The company ID

Body

application/json
agentId
string<uuid>
required
waitForEnrichment
boolean
required

true waits for enrichment. false lets the agent start on the next run.

nextActionNote
string | null

Response

BdrAgentAssignment

success
boolean
Example:

true

message
string

Human-readable confirmation of the action.

data
object
resource
string